cURL
curl --request POST \
--url https://{portalApiUrl}/user/create \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "john.smith@example.com",
"firstname": "John",
"lastname": "Smith",
"groups": [
"my-group"
],
"user_organisation_identifier": "123456"
}
'import requests
url = "https://{portalApiUrl}/user/create"
payload = {
"email": "john.smith@example.com",
"firstname": "John",
"lastname": "Smith",
"groups": ["my-group"],
"user_organisation_identifier": "123456"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'john.smith@example.com',
firstname: 'John',
lastname: 'Smith',
groups: ['my-group'],
user_organisation_identifier: '123456'
})
};
fetch('https://{portalApiUrl}/user/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"result": {
"user_id": 123,
"email": "jsmith@example.com",
"firstname": "<string>",
"lastname": "<string>",
"user_organisation_identifier": "<string>",
"groups": [
"<string>"
],
"properties": {},
"user_created_date": "2023-11-07T05:31:56Z",
"user_updated_date": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>"
}User
Create user
Create a new user
POST
/
user
/
create
cURL
Authorizations
Authentication token obtained from POST /token
Body
application/json
Email address of the user
First name
Last name
List of group keys to add the user to
Activation email type to send (e.g. "standard")
Organisation-specific identifier for the user
Custom property key-value pairs
⌘I